For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get template details

Retrieve detailed information about a specific OS template for virtual machines. Use this endpoint to view specific template specifications before deployment.

Get template details

get

Retrieve detailed information about a specific OS template for virtual machines.

Use this endpoint to view specific template specifications before deployment.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
templateIdintegerRequired

Template ID

Example: 2868928
Responses
200

Success response

application/json
idintegerOptional

Template ID

Example: 6523
namestringOptional

Template name

Example: Ubuntu 20.04 LTS
descriptionstringOptional

Template description

Example: Ubuntu 20.04 LTS
documentationstring · nullableOptional

Link to official OS documentation

Example: https://docs.ubuntu.com
get/api/vps/v1/templates/{templateId}
GET /api/vps/v1/templates/{templateId} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 6523,
  "name": "Ubuntu 20.04 LTS",
  "description": "Ubuntu 20.04 LTS",
  "documentation": "https://docs.ubuntu.com"
}

Last updated

Was this helpful?